/*!
 * rction v0.1
 * A lightweight helper function for creating reactive, state-based components and UI
 * (c) 2020 Herton Fontineli Dantas
 * MIT License
 * http://github.com/cferdinandi/reef
 */

/**
 * Element.matches() polyfill (simple version)
 * https://developer.mozilla.org/en-US/docs/Web/API/Element/matches#Polyfill
 */
if (!Element.prototype.matches) {
	Element.prototype.matches = Element.prototype.msMatchesSelector || Element.prototype.webkitMatchesSelector;
}